node-keese_1.1.1-1_all.deb


Advertisement

Description

node-keese - arbitrary-precision floats encoded as strings - Node.js module

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-keese_1.1.1-1_all.deb
Package name node-keese
Package version 1.1.1
Package release 1
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/thejoshwolfe/node-keese
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 9.53 KB
Installed size 23.00 KB
keese is a Node.js module that generates well-ordered values, appropriate for
use as sorting keys.
keese can always generate a bigger value, a smaller value, and a value
between two other values. This is trivial using numbers with x+1, x-1, and
(x+y)/2 respectively. However, numbers have limited precision in JavaScript,
so instead keese uses strings.
The string values are comparable with the builtin comparison operators (such
as <), and keese can always generate a new value that satisfies the
constraints (limited only by system resources).
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-keese_1.1.1-1_all.deb 1.1.1 all Ubuntu Universe
node-keese - - -

Requires

Name Value
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-keese_1.1.1-1_all.deb
Source Package node-keese

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-keese deb package:
    # sudo apt-get install node-keese

Files

Path
/usr/lib/nodejs/keese/index.js
/usr/lib/nodejs/keese/package.json
/usr/share/doc/node-keese/README.md.gz
/usr/share/doc/node-keese/changelog.Debian.gz
/usr/share/doc/node-keese/copyright

Changelog

2019-02-21 - Xavier Guimard <yadd@debian.org>
node-keese (1.1.1-1) unstable; urgency=medium
[ Andrew Kelley ]
* Import upstream version 1.1.1.
* Bump standards version to 3.9.6.
[ Xavier Guimard ]
* Replace Andrew Kelley by myself in uploaders list. Thanks for your work!
(Closes: #909892)
* Bump debhelper compatibility level to 11
* Declare compliance with policy 4.3.0
* Change section to javascript
* Change priority to optional
* Fix VCS fields
* Update d/copyright
* Switch tests to pkg-js-tools
* Add upstream/metadata
* Add Multi-Arch: foreign
2014-09-30 - Andrew Kelley <superjoe30@gmail.com>
node-keese (1.0.4-1) unstable; urgency=low
* New upstream release
* Upstream changed copyright to Expat
2014-07-24 - Andrew Kelley <superjoe30@gmail.com>
node-keese (1.0.1-2) unstable; urgency=low
* Improve long description (Closes: #754562)
2014-07-10 - Andrew Kelley <superjoe30@gmail.com>
node-keese (1.0.1-1) unstable; urgency=low
* Initial release (Closes: #752955)

See Also

Package Description
node-kew_0.7.0-1_all.deb lightweight promise library for node
node-keygrip_1.0.1-1_all.deb Key signing and verification for rotated credentials for Node.js
node-keypress_0.2.1-1_all.deb Make any Node ReadableStream emit "keypress" events
node-kind-of_6.0.2+dfsg-1_all.deb Get the native type of a value
node-klaw_3.0.0-1_all.deb File system walker for Node.js
node-knockout-sortable_1.1.0+dfsg-2_all.deb JQuery-UI "sortable" binding for Knockout
node-knockout-transformations_2.1.0-2_all.deb Live transform methods for Knockout observable arrays
node-knockout_3.4.2-2_all.deb JavaScript MVVM framework
node-labeled-stream-splicer_2.0.1-1_all.deb streaming pipeline with a mutable configuration and labels
node-languages4translatewiki_0.1.3-1_all.deb Javascript globalization and localization for Node.js
node-lastfm_0.9.2-1_all.deb Read and write to Last.fm - Node.js module
node-latest-version_3.1.0-1_all.deb Get the latest version of an npm package
node-lazy-cache_2.0.1-1_all.deb Cache requires to be lazy-loaded when needed
node-lazy-property_1.0.0-3_all.deb Adds a lazily initialized property to the object
node-lazystream_1.0.0-1_all.deb Open streams on demand - Node.js module
Advertisement
Advertisement